package edu.dartmouth.cs.kalah;
/**
 * CSJavaLib.java
 * A collection of utility methods for Java.
 * @author Scot Drysdale
 * on 4/13/00.  Modifed 12/13/2011
 */    

public class CSJavaLib 
{
  /** Pauses for a given number of milliseconds.  
    * It prints out and error message for any InterruptedException 
	  *   thrown by Thread.sleep.
    * @param msec is the number of milliseconds to pause
    */
  public static void pause(long msec)
  {
    try
    {
      Thread.sleep(msec);
    }
    catch (InterruptedException e)
    { System.err.println(("Exception: " + e.getMessage()));
		  e.printStackTrace();
    }
  }
  
  /**
   * Converts n to a string value of and pads with blanks to the right 
   * until the string is at least width long.
   * @param n the number to be padded
   * @param width minimum number of characters in retun value
   * @return the padded string representing n
   */
  public static String padIntRight(int n, int width)
  {
    String outNum;                // Hold the converted number
    
    outNum = n + "";              // Convert to a string
    
    while(outNum.length() < width)
      outNum += " ";              // Pad with blanks at rear
      
    return outNum;
  }
  
  /**
   * Converts n to a string value of and pads with blanks to the left 
   * until the string is at least width long.
   * @param n the number to be padded
   * @param width minimum number of characters in retun value
   * @return the padded string representing n
   */
  public static String padIntLeft(int n, int width)
  {
    String outNum;                // Hold the converted number
    
    outNum = n + "";              // Convert to a string
    
    while(outNum.length() < width)
      outNum = " " + outNum;        // Pad with blanks on front
      
    return outNum;
  }
}